<!DOCTYPE html>
<html lang="en">
<head>
    <title>__TITLE__</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, follow">
    <style>
html,body {padding:0;margin:0;font-family: 'Lato', sans-serif;}
*{-webkit-box-sizing:border-box;box-sizing:border-box;display:none;}
    </style>
</head>
<body>


<div class="" id="root">
<div class="" id="block"><div id="the-bg" class="block-bg"></div> <div class="block">
<h2 id="action">Verifying your browser...</h2>
<p class="nor">__DOMAIN__ is protected by BitFire RASP.  <br>
</p>
<p class="nor muted">Reference ID <i>__UUID__</i></p>
<a href="/"> <button type="button" id="home" disabled="disabled" onclick="window.location='/';">Back To Homepage</button> </a>
</div> </div>
<div id="attribute"><p>
    <span> Powered by: <a href="https://bitfire.co" target="_blank" style="color: #fff;">BitFire</a></span>
    <span> Photo by: <a href="https://www.pexels.com/@joshsorenson/" rel="nofollow ugc" target="_blank" style="color: #fff;">@joshsorenson</a> </span>
</p></div>
</div>
<script nonce="__NONCE__">

// detect infinite cache loop and break out...
if (window.localStorage && window.location.href.indexOf("_cache_break") == -1) {
    let ctr = localStorage.getItem('bitfire_count');
    if (ctr) {
        let when = localStorage.getItem('bitfire_time');
        if ((Date.now() - when) > 1000 * 60 * 5) {
            ctr = 0;
        } else {
            ctr = parseInt(ctr);
        }
        ctr++;
    } else {
        ctr = 1;
    }
    localStorage.setItem('bitfire_count', ctr);
    localStorage.setItem('bitfire_time', Date.now());
    if (ctr > 1) {
        let temp = new URL(window.location.href);
        temp.searchParams.set('_cache_break', (Math.random() + 1).toString(36).substring(5));
        localStorage.removeItem('bitfire_count');
        localStorage.removeItem('bitfire_time');
        window.location = temp.href;
        window.redirected = true;
    }
}


window.BitFire = {};
window.BitFire.xhr = function (params) {
    const form = document.createElement('form'); form.method = "POST"; form.action = window.location.href;
    for (const key in params) {
        if (params.hasOwnProperty(key)) {
            const field = document.createElement('input');
            field.type = 'hidden'; field.name = key;
            field.value = params[key]; form.appendChild(field);
        }
    }

    document.body.appendChild(form);
    form.submit(); 
};
 

__JS__


</script>
</body>
</html>
